<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>jetset.data_loader Module &#8212; jetset 1.0.a documentation</title>
    <link rel="stylesheet" href="../_static/bootstrap-sphinx.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '1.0.a',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true,
        SOURCELINK_SUFFIX: '.txt'
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <script type="text/javascript" src="../_static/js/jquery-1.11.0.min.js"></script>
    <script type="text/javascript" src="../_static/js/jquery-fix.js"></script>
    <script type="text/javascript" src="../_static/bootstrap-3.3.7/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="../_static/bootstrap-sphinx.js"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
<meta charset='utf-8'>
<meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'>
<meta name='viewport' content='width=device-width, initial-scale=1.0, maximum-scale=1'>
<meta name="apple-mobile-web-app-capable" content="yes">

  </head>
  <body>

  <div id="navbar" class="navbar navbar-inverse navbar-default navbar-fixed-top">
    <div class="container">
      <div class="navbar-header">
        <!-- .btn-navbar is used as the toggle for collapsed navbar content -->
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".nav-collapse">
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href="../index.html"><span><img src="../_static/logo_small_transp.png"></span>
          JetSeT</a>
        <span class="navbar-text navbar-version pull-left"><b>1.0</b></span>
      </div>

        <div class="collapse navbar-collapse nav-collapse">
          <ul class="nav navbar-nav">
            
            
              <li class="dropdown globaltoc-container">
  <a role="button"
     id="dLabelGlobalToc"
     data-toggle="dropdown"
     data-target="#"
     href="../index.html">JetSeT <b class="caret"></b></a>
  <ul class="dropdown-menu globaltoc"
      role="menu"
      aria-labelledby="dLabelGlobalToc"><ul>
<li class="toctree-l1"><a class="reference internal" href="../user_guide/user_guide.html">user guide</a><ul>
<li class="toctree-l2"><a class="reference internal" href="../user_guide/user_guide.html#content">Content</a></li>
</ul>
</li>
</ul>
</ul>
</li>
              
                <li class="dropdown">
  <a role="button"
     id="dLabelLocalToc"
     data-toggle="dropdown"
     data-target="#"
     href="#">Page <b class="caret"></b></a>
  <ul class="dropdown-menu localtoc"
      role="menu"
      aria-labelledby="dLabelLocalToc"><ul>
<li><a class="reference internal" href="#">jetset.data_loader Module</a><ul>
<li><a class="reference internal" href="#moudule-data-loader">Moudule: data_loader</a><ul>
<li><a class="reference internal" href="#classes-and-inheritance-structure">Classes and Inheritance Structure</a></li>
<li><a class="reference internal" href="#classes-relations">Classes relations</a></li>
<li><a class="reference internal" href="#summary">Summary</a></li>
<li><a class="reference internal" href="#module-api">Module API</a></li>
</ul>
</li>
<li><a class="reference internal" href="#functions">Functions</a></li>
<li><a class="reference internal" href="#classes">Classes</a></li>
<li><a class="reference internal" href="#class-inheritance-diagram">Class Inheritance Diagram</a></li>
</ul>
</li>
</ul>
</ul>
</li>
              
            
            
              
                
              
            
            
            
            
              <li class="hidden-sm">
<div id="sourcelink">
  <a href="../_sources/api/data_loader.rst.txt"
     rel="nofollow">Source</a>
</div></li>
            
          </ul>

          
            
<form class="navbar-form navbar-right" action="../search.html" method="get">
 <div class="form-group">
  <input type="text" name="q" class="form-control" placeholder="Search" />
 </div>
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form>
          
        </div>
    </div>
  </div>

<div class="container">
  <div class="row">
      <div class="col-md-3">
        <div id="sidebar" class="bs-sidenav" role="complementary"><ul>
<li><a class="reference internal" href="#">jetset.data_loader Module</a><ul>
<li><a class="reference internal" href="#moudule-data-loader">Moudule: data_loader</a><ul>
<li><a class="reference internal" href="#classes-and-inheritance-structure">Classes and Inheritance Structure</a></li>
<li><a class="reference internal" href="#classes-relations">Classes relations</a></li>
<li><a class="reference internal" href="#summary">Summary</a></li>
<li><a class="reference internal" href="#module-api">Module API</a></li>
</ul>
</li>
<li><a class="reference internal" href="#functions">Functions</a></li>
<li><a class="reference internal" href="#classes">Classes</a></li>
<li><a class="reference internal" href="#class-inheritance-diagram">Class Inheritance Diagram</a></li>
</ul>
</li>
</ul>

<form action="../search.html" method="get">
 <div class="form-group">
  <input type="text" name="q" class="form-control" placeholder="Search" />
 </div>
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form>
        </div>
      </div>
    <div class="col-md-9 content">
      
  <div class="section" id="module-jetset.data_loader">
<span id="jetset-data-loader-module"></span><h1>jetset.data_loader Module<a class="headerlink" href="#module-jetset.data_loader" title="Permalink to this headline">¶</a></h1>
<div class="section" id="moudule-data-loader">
<h2>Moudule: data_loader<a class="headerlink" href="#moudule-data-loader" title="Permalink to this headline">¶</a></h2>
<p>This module contains all the classes necessary to load SED data
from a file.  The most effective way to import the SED data is to create an object
instance of <a class="reference internal" href="jetset.data_loader.ObsData.html#jetset.data_loader.ObsData" title="jetset.data_loader.ObsData"><code class="xref py py-class docutils literal"><span class="pre">ObsData</span></code></a> class.</p>
<div class="section" id="classes-and-inheritance-structure">
<h3>Classes and Inheritance Structure<a class="headerlink" href="#classes-and-inheritance-structure" title="Permalink to this headline">¶</a></h3>
</div>
<div class="section" id="classes-relations">
<h3>Classes relations<a class="headerlink" href="#classes-relations" title="Permalink to this headline">¶</a></h3>
<div class="figure align-center">
<img alt="../_images/classes_data_loader.png" src="../_images/classes_data_loader.png" />
</div>
</div>
<div class="section" id="summary">
<h3>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h3>
<table border="1" class="longtable docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><a class="reference internal" href="jetset.data_loader.ObsData.html#jetset.data_loader.ObsData" title="jetset.data_loader.ObsData"><code class="xref py py-obj docutils literal"><span class="pre">ObsData</span></code></a>([data_file,&nbsp;dupl_filter,&nbsp;…])</td>
<td>This class provides a  powerful interface  to load observational data stored in a file.</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="module-api">
<h3>Module API<a class="headerlink" href="#module-api" title="Permalink to this headline">¶</a></h3>
</div>
</div>
<div class="section" id="functions">
<h2>Functions<a class="headerlink" href="#functions" title="Permalink to this headline">¶</a></h2>
<table border="1" class="longtable docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><a class="reference internal" href="jetset.data_loader.get_data_set_msk.html#jetset.data_loader.get_data_set_msk" title="jetset.data_loader.get_data_set_msk"><code class="xref py py-obj docutils literal"><span class="pre">get_data_set_msk</span></code></a>(x,&nbsp;data_set)</td>
<td></td>
</tr>
<tr class="row-even"><td><a class="reference internal" href="jetset.data_loader.get_freq_range_msk.html#jetset.data_loader.get_freq_range_msk" title="jetset.data_loader.get_freq_range_msk"><code class="xref py py-obj docutils literal"><span class="pre">get_freq_range_msk</span></code></a>(x,&nbsp;x_range)</td>
<td></td>
</tr>
<tr class="row-odd"><td><a class="reference internal" href="jetset.data_loader.lin_to_log.html#jetset.data_loader.lin_to_log" title="jetset.data_loader.lin_to_log"><code class="xref py py-obj docutils literal"><span class="pre">lin_to_log</span></code></a>([val,&nbsp;err])</td>
<td></td>
</tr>
<tr class="row-even"><td><a class="reference internal" href="jetset.data_loader.log_to_lin.html#jetset.data_loader.log_to_lin" title="jetset.data_loader.log_to_lin"><code class="xref py py-obj docutils literal"><span class="pre">log_to_lin</span></code></a>([log_val,&nbsp;log_err])</td>
<td></td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="classes">
<h2>Classes<a class="headerlink" href="#classes" title="Permalink to this headline">¶</a></h2>
<table border="1" class="longtable docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><a class="reference internal" href="jetset.data_loader.ObsData.html#jetset.data_loader.ObsData" title="jetset.data_loader.ObsData"><code class="xref py py-obj docutils literal"><span class="pre">ObsData</span></code></a>([data_file,&nbsp;dupl_filter,&nbsp;…])</td>
<td>This class provides a  powerful interface  to load observational data stored in a file.</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="class-inheritance-diagram">
<h2>Class Inheritance Diagram<a class="headerlink" href="#class-inheritance-diagram" title="Permalink to this headline">¶</a></h2>
<img src="../_images/inheritance-6f5edd4b0b92294afcbe90aa773c7724d64585eb.png" alt="Inheritance diagram of jetset.data_loader.ObsData" usemap="#inheritancef183ce12bd" class="inheritance"/>
<map id="inheritancef183ce12bd" name="inheritancef183ce12bd">
<area shape="rect" id="node1" href="jetset.data_loader.ObsData.html#jetset.data_loader.ObsData" target="_top" title="This class provides a &#160;powerful interface &#160;to load observational data stored in a file." alt="" coords="5,5,80,30"/>
</map>
</div>
</div>


    </div>
      
  </div>
</div>
<footer class="footer">
  <div class="container">
    <p class="pull-right">
      <a href="#">Back to top</a>
      
    </p>
    <p>
        &copy; Copyright 2018, andrea tramacere.<br/>
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.6.6.<br/>
    </p>
  </div>
</footer>
  </body>
</html>